Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.clsdesc.manchester
Class AbstractNamedObjectCreationSuggestion

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.clsdesc.manchester.AbstractNamedObjectCreationSuggestion

All Implemented Interfaces:
  Suggestion

Direct Known Subclasses:
  CreateClassSuggestion, CreateDatatypePropertySuggestion, CreateIndividualSuggestion, CreateObjectPropertySuggestion

    public abstract class AbstractNamedObjectCreationSuggestion

extends Object
implements Suggestion

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Sep 7, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`AbstractNamedObjectCreationSuggestion(OWLModel model, String name)`

Method Summary
`abstract void` | `createObject()`
`String` | `getDescription()`
`Icon` | `getIcon()`
`OWLModel` | `getModel()`
`String` | `getName()`
`abstract String` | `getObjectType()`
`void` | `performSuggestion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractNamedObjectCreationSuggestion

    public AbstractNamedObjectCreationSuggestion(OWLModel model,
                                                 String name)

Method Detail

### getModel

    public OWLModel getModel()

### getName

    public String getName()

### performSuggestion

    public void performSuggestion()

  Specified by:
    `performSuggestion` in interface `Suggestion`

### createObject

    public abstract void createObject()

### getIcon

    public Icon getIcon()

  Specified by:
    `getIcon` in interface `Suggestion`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Suggestion`

### getObjectType

    public abstract String getObjectType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.